Subject: Re: linux-next: build failure after merge of the imx-mxs tree

From: Shawn Guo <[email-masked]>
Date: Mon, 31 Oct 2022 08:52:19 +0800

On Mon, Oct 31, 2022 at 08:11:57AM +1000, Alistair wrote:
> On Mon, 31 Oct 2022, at 8:09 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the imx-mxs tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > arch/arm/boot/dts/imx7d-remarkable2.dts:26.15-44.5: ERROR (phandle_references): /thermal-zones/epd-thermal: Reference to non-existent node or label "epd_pmic"
> > 
> > ERROR: Input tree has errors, aborting (use -f to force output)
> 
> Sorry, that's completely my fault. Apparently I had a local change
> that didn't get committed. I'll send a new version of this patch.

Alistair,

I have fixed it up with the change below.

Shawn

diff --git a/arch/arm/boot/dts/imx7d-remarkable2.dts b/arch/arm/boot/dts/imx7d-remarkable2.dts
index 2314f68f3c86..8b2f11e85e05 100644
--- a/arch/arm/boot/dts/imx7d-remarkable2.dts
+++ b/arch/arm/boot/dts/imx7d-remarkable2.dts
@@ -24,7 +24,7 @@ memory@80000000 {
 
        thermal-zones {
                epd-thermal {
-                       thermal-sensors = <&epd_pmic>;
+                       thermal-sensors = <&sy7636a>;
                        polling-delay-passive = <30000>;
                        polling-delay = <30000>;